-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Apr 02, 2019 at 04:29 PM
-- Server version: 10.1.13-MariaDB
-- PHP Version: 5.6.23

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `foodexploria`
--

-- --------------------------------------------------------

--
-- Table structure for table `customer`
--

CREATE TABLE `customer` (
  `username` varchar(30) NOT NULL,
  `fullname` varchar(30) NOT NULL,
  `email` varchar(30) NOT NULL,
  `contact` varchar(30) NOT NULL,
  `address` varchar(50) NOT NULL,
  `password` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `customer`
--

INSERT INTO `customer` (`username`, `fullname`, `email`, `contact`, `address`, `password`) VALUES
('adones', 'adones', 'adones@gmail.com', '2345671234', 'mao', '123'),
('nidha', 'nidha', 'nidha@gmail.com', '998696572', 'Maharashtra', 'suhail'),
('paulniar@gmail.com', 'paul angelo niar', 'paulniar@gmail.com', '09504319525', 'cambugsa', 'paul123'),
('pratheek083', 'Pratheek Shiri', 'pratheek@gmail.com', '8779546521', 'Hyderabad', 'pratheek'),
('QWER', 'QWERTY', 'ww@qqq', '123456', 'asdfg', '11'),
('rakshithk00', 'Rakshith Kotian', 'rakshith@gmail.com', '9547123658', 'Gujarath', 'rakshith');

-- --------------------------------------------------------

--
-- Table structure for table `food`
--

CREATE TABLE `food` (
  `F_ID` int(30) NOT NULL,
  `name` varchar(30) NOT NULL,
  `price` int(30) NOT NULL,
  `description` varchar(200) NOT NULL,
  `R_ID` int(30) NOT NULL,
  `images_path` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `food`
--

INSERT INTO `food` (`F_ID`, `name`, `price`, `description`, `R_ID`, `images_path`) VALUES
(58, 'REPSOL', 150000, '28196_2015_GL1800_Gold_Wing (Large) CB500XAdventure2015009 (Large) CBR1000RRSTDSuperSport2015002 (Large)', 1, 'images/1.jpg'),
(59, 'Kawasaki Z1000 ', 200000, 'Droom - Check Kawasaki Z1000 price, Features, Reviews, News, Prices & variants. Read more about Kawasaki Z1000 bikes on road price, Offers, upcoming and launched bikes.', 2, 'images/2.jpg'),
(60, 'Kawasaki Ninja', 250000, 'Explore Kawasaki Ninja 1000 Price in India, Specs, Features, Mileage, Kawasaki Ninja 1000 Images, Kawasaki News, Ninja 1000 Review and all other Kawasaki bikes.', 3, 'images/3.png'),
(61, 'SUZUKI V-STORM 650XT', 300000, '', 1, 'images/4.png'),
(62, ' Yamaha YZF-R6lls', 350000, '2016 Yamaha YZF-R6, 559x840. Image has been viewed 514 ', 2, 'images/5.jpg'),
(63, ' BMW Motorrad', 400000, 'BMW Motorrad''s big touring machines, the K 1600 series, now come with Hill Start Control Pro (HSC Pro) as standard. This rider aid automatically holds the ...', 3, 'images/6.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `manager`
--

CREATE TABLE `manager` (
  `username` varchar(30) NOT NULL,
  `fullname` varchar(30) NOT NULL,
  `email` varchar(30) NOT NULL,
  `contact` varchar(30) NOT NULL,
  `address` varchar(50) NOT NULL,
  `password` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `manager`
--

INSERT INTO `manager` (`username`, `fullname`, `email`, `contact`, `address`, `password`) VALUES
('aditi068', 'Aditi Naik', 'aditi@gmail.com', '8654751259', 'Goa', 'aditi'),
('aminnikhil073', 'Nikhil Amin', 'aminnikhil073@gmail.com', '9632587412', 'Karnataka', 'nikhil'),
('paulniar@gmail.com', 'paul angelo niar', 'paulniar@gmail.com', '09504319525', 'hinigaran', 'paul123'),
('roshanraj07', 'Roshan Raj', 'roshan@gmail.com', '9541258761', 'Bihar', 'roshan'),
('wong', 'qwerty', 'qq@ww', '1234567', 'QWERT', '11');

-- --------------------------------------------------------

--
-- Table structure for table `orders`
--

CREATE TABLE `orders` (
  `order_ID` int(30) NOT NULL,
  `F_ID` int(30) NOT NULL,
  `foodname` varchar(30) NOT NULL,
  `price` int(30) NOT NULL,
  `quantity` int(30) NOT NULL,
  `order_date` date NOT NULL,
  `username` varchar(30) NOT NULL,
  `R_ID` int(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `orders`
--

INSERT INTO `orders` (`order_ID`, `F_ID`, `foodname`, `price`, `quantity`, `order_date`, `username`, `R_ID`) VALUES
(1, 59, 'Meurig Fish', 60, 1, '2019-03-12', 'adones', 2),
(2, 60, 'Chocolate Hazelnut Truffle', 99, 25, '2019-03-12', 'adones', 3),
(3, 59, 'Meurig Fish', 60, 25, '2019-03-12', 'adones', 2),
(4, 59, 'Meurig Fish', 60, 1, '2019-03-13', 'adones', 2),
(5, 60, 'Chocolate Hazelnut Truffle', 99, 1, '2019-03-13', 'adones', 3),
(6, 60, 'Chocolate Hazelnut Truffle', 99, 1, '2019-03-13', 'adones', 3),
(7, 60, 'Chocolate Hazelnut Truffle', 99, 1, '2019-03-13', 'adones', 3),
(8, 60, 'Chocolate Hazelnut Truffle', 99, 1, '2019-03-13', 'adones', 3),
(9, 60, 'Kawasaki Ninja', 250000, 1, '2019-03-27', 'paulniar@gmail.com', 3),
(10, 60, 'Kawasaki Ninja', 250000, 1, '2019-03-27', 'paulniar@gmail.com', 3),
(11, 59, 'Kawasaki Z1000 ', 200000, 1, '2019-03-27', 'paulniar@gmail.com', 2),
(12, 60, 'Kawasaki Ninja', 250000, 1, '2019-03-27', 'paulniar@gmail.com', 3),
(13, 60, 'Kawasaki Ninja', 250000, 1, '2019-03-27', 'paulniar@gmail.com', 3),
(14, 60, 'Kawasaki Ninja', 250000, 1, '2019-03-27', 'paulniar@gmail.com', 3),
(15, 60, 'Kawasaki Ninja', 250000, 3, '2019-03-29', 'paulniar@gmail.com', 3);

-- --------------------------------------------------------

--
-- Table structure for table `restaurants`
--

CREATE TABLE `restaurants` (
  `R_ID` int(30) NOT NULL,
  `name` varchar(30) NOT NULL,
  `email` varchar(30) NOT NULL,
  `contact` varchar(30) NOT NULL,
  `address` varchar(50) NOT NULL,
  `M_ID` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `restaurants`
--

INSERT INTO `restaurants` (`R_ID`, `name`, `email`, `contact`, `address`, `M_ID`) VALUES
(1, 'Nikhil''s Restaurant', 'nikhil@restaurant.com', '7998562145', 'Karnataka', 'aminnikhil073'),
(2, 'Roshan''s Restaurant', 'roshan@restaurant.com', '9887546821', 'Bihar', 'roshanraj07'),
(3, 'Aditi''s Restaurant', 'aditi@restaurant.com', '7778564231', 'Goa', 'aditi068');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `customer`
--
ALTER TABLE `customer`
  ADD PRIMARY KEY (`username`);

--
-- Indexes for table `food`
--
ALTER TABLE `food`
  ADD PRIMARY KEY (`F_ID`,`R_ID`),
  ADD KEY `R_ID` (`R_ID`);

--
-- Indexes for table `manager`
--
ALTER TABLE `manager`
  ADD PRIMARY KEY (`username`);

--
-- Indexes for table `orders`
--
ALTER TABLE `orders`
  ADD PRIMARY KEY (`order_ID`),
  ADD KEY `F_ID` (`F_ID`),
  ADD KEY `username` (`username`),
  ADD KEY `R_ID` (`R_ID`);

--
-- Indexes for table `restaurants`
--
ALTER TABLE `restaurants`
  ADD PRIMARY KEY (`R_ID`),
  ADD UNIQUE KEY `M_ID_2` (`M_ID`),
  ADD KEY `M_ID` (`M_ID`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `food`
--
ALTER TABLE `food`
  MODIFY `F_ID` int(30) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=64;
--
-- AUTO_INCREMENT for table `orders`
--
ALTER TABLE `orders`
  MODIFY `order_ID` int(30) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;
--
-- AUTO_INCREMENT for table `restaurants`
--
ALTER TABLE `restaurants`
  MODIFY `R_ID` int(30) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `food`
--
ALTER TABLE `food`
  ADD CONSTRAINT `food_ibfk_1` FOREIGN KEY (`R_ID`) REFERENCES `restaurants` (`R_ID`);

--
-- Constraints for table `orders`
--
ALTER TABLE `orders`
  ADD CONSTRAINT `orders_ibfk_1` FOREIGN KEY (`F_ID`) REFERENCES `food` (`F_ID`),
  ADD CONSTRAINT `orders_ibfk_2` FOREIGN KEY (`username`) REFERENCES `customer` (`username`),
  ADD CONSTRAINT `orders_ibfk_3` FOREIGN KEY (`R_ID`) REFERENCES `restaurants` (`R_ID`);

--
-- Constraints for table `restaurants`
--
ALTER TABLE `restaurants`
  ADD CONSTRAINT `restaurants_ibfk_1` FOREIGN KEY (`M_ID`) REFERENCES `manager` (`username`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
